#include "include/cef_base.h"
#include "include/cef_v8.h"
#include "webview_js_handler.h"
#include <atlstr.h>
WebviewJSHandler::WebviewJSHandler(WebviewClient *delegate, std::string fuc_name)
{
    fuc_name_ = fuc_name;
    delegate_ = delegate;
}
bool WebviewJSHandler::Execute(const CefString &name,
                               CefRefPtr<CefV8Value> object,
                               const CefV8ValueList &arguments,
                               CefRefPtr<CefV8Value> &retval,
                               CefString &exception)
{
    if (name == "postMessage")
    {
        if (arguments.size() == 1 && arguments[0]->IsString())
        {
            delegate_->CallCppHanlder(name,arguments[0]->GetStringValue());
        }

        return true;
    }

    return false;
}