#pragma once
#include "include/cef_v8.h"
#include "include/cef_jsdialog_handler.h"
#include "webview_client.h"
// class WebviewJSHandlerDelegate
// {
// public:
//     virtual void CallCppHanlder( ) = 0;
// };


class WebviewJSHandler : public CefV8Handler
{
public:
    WebviewJSHandler(WebviewClient *delegate, std::string fuc_name);
    virtual bool Execute(const CefString &name, CefRefPtr<CefV8Value> object, const CefV8ValueList &arguments, CefRefPtr<CefV8Value> &retval, CefString &exception) override;

private:
    WebviewClient *delegate_;
    std::string fuc_name_;
    IMPLEMENT_REFCOUNTING(WebviewJSHandler);
};



